---
    env:
        browser: true
        commonjs: true
        es6: true
        jquery: true

    rules:
        brace-style:
            - error
            - stroustrup

        comma-dangle:
            - error
            - only-multiline

        curly:
            - warn
            - multi-or-nest


        indent:
            - error
            - tab
            - { "SwitchCase": 1 }

        max-len:
            - error
            - 95
            - {
                "ignoreStrings": true,
                "ignoreComments": true,
                "ignoreRegExpLiterals": true
            }

        no-global-assign: warn
        no-prototype-builtins: warn
        no-undef: warn
        no-unsafe-negation: warn
        no-unused-expressions: warn

        no-constant-condition: 2
        no-dupe-keys: 2
        no-duplicate-case: 2
        no-ex-assign: 2
        no-extra-boolean-cast: 1
        no-extra-semi: 2
        no-invalid-regexp: 1
        no-sparse-arrays: 2
        no-unreachable: 2
        valid-typeof: 2
        no-caller: 2
        no-eq-null: 1
        no-extra-bind: 2
        no-fallthrough: 2
        no-redeclare: 2
        no-mixed-spaces-and-tabs: 2
        space-in-parens: 1

        space-infix-ops: warn

        quotes:
        - error
        - double





